using System.Reflection;

public class UnitTest1
{
    [Fact]
    public void MainTest()
    {
        Program p = new Program();
        // Arrange 
        TypeInfo program = typeof(Program).GetTypeInfo();
        var mainMethod = program.DeclaredMethods.Single(m => m.Name =="<Main>$");
        
        Console.WriteLine(mainMethod.Name);
        
        // Act
        int result = (int) mainMethod.Invoke(null, new object[] { new string[2] {"3", "4"} });

        // Assert 
        Assert.Equal(7, result);
    }

    [Fact]
    public void MultiplyTwoNumbersTest()
    {
        // Arrange 
        TypeInfo program = typeof(Program).GetTypeInfo();
        var multiplyToNumbersMethod = program.DeclaredMethods.Single(m => m.Name.Contains("MultiplyTwoNumbers"));;
        
        // Act
        int result = (int) multiplyToNumbersMethod.Invoke(null, new object[] {3, 4});

        // Assert 
        Assert.Equal(12, result);
    }
}